Get a scan
curl --request GET \
--url https://aquila.attaxr.com/api/scans/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/scans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/scans/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"userId": "<string>",
"target": "<string>",
"type": "<string>",
"scope": [],
"workflowSteps": [],
"status": "pending",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"workflowId": "<string>",
"startedAt": "<unknown>",
"completedAt": "<unknown>",
"error": "<string>"
}{
"error": "<string>"
}Scans
Get a scan
Fetch one scan by id. Falls back to the linked schedule when the id names a schedule.
GET
/
api
/
scans
/
{id}
Get a scan
curl --request GET \
--url https://aquila.attaxr.com/api/scans/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/scans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/scans/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"userId": "<string>",
"target": "<string>",
"type": "<string>",
"scope": [],
"workflowSteps": [],
"status": "pending",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"workflowId": "<string>",
"startedAt": "<unknown>",
"completedAt": "<unknown>",
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Response
The scan.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
pending, queued, running, completed, failed, cancelled Show child attributes
Show child attributes

